Danh sách lệnh
curl --request GET \
--url https://api.fireant.vn/mxv/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/mxv/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/mxv/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"clientOrderCode": "<string>",
"orderCode": "<string>",
"contractCode": "<string>",
"contractName": "<string>",
"side": "<string>",
"orderType": "<string>",
"qty": 123,
"limitPrice": 123,
"stopPrice": 123,
"filledPrice": 123,
"filledQty": 123,
"orderDatetime": "2023-11-07T05:31:56Z",
"status": "<string>",
"transactionFee": 123,
"investorCode": "<string>",
"sessionDate": "<string>",
"dataSource": "<string>",
"transactions": [
{
"status": "<string>",
"filledPrice": 123,
"qty": 123,
"transactionFee": 123,
"sessionDate": "<string>"
}
]
}
]MXV
Danh sách lệnh
GET
/
mxv
/
orders
Danh sách lệnh
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
user-data-read
Đọc tất cả dữ liệu của người dùng hiện tại
Tham số truy vấn
(0 = FUTURE, 1 = NANO, 2 = MXV)
Tùy chọn có sẵn:
0, 1, 2 Phản hồi
OK
ClientOrderId
OrderID
Mã HĐ
Tên HĐ
Mua/Bán
Loại lệnh
KL đặt
Giá giới hạn
Giá dừng
Giá khớp TB
KL khớp
Thời gian đặt lệnh
Trạng thái
Phí giao dịch
Mã nhà đầu tư
Ngày phiên giao dịch
Nguồn dữ liệu (FIX, ...)
Show child attributes
Show child attributes